html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}



footer {
    background-color: white;
}



/*FROM TCG Compliance Manager*/
body {
/*    padding-top: 50px;*/
    padding-bottom: 20px;
    background-image: linear-gradient(to bottom right, red, BLACK);
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    background-color: white;
    /*padding: 20px;*/
/*    border-radius: 0 0 10px 10px;*/
    border-radius: 10px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}


.Table {
    width: 100%;
}

    .Table thead a {
        color: #fff;
        font-weight: bold;
        text-align: left;
    }

    .Table th {
        padding: 8px 4px;
        background-color: darkred;
        color: #fff;
        font-weight: bold;
        text-align: left;
    }

    .Table td {
        padding: 4px;
    }

    .Table tbody tr {
        cursor: pointer;
    }

    .Table tr:nth-child(odd) {
        background-color: #eee;
        color: #666;
        text-align: left;
        padding-left: 10px;
    }

    .Table tr:nth-child(even) {
        background-color: #fff;
        text-align: left;
    }


.messageBox {
    border-style: solid;
    border-width: 0px 1px 1px 1px;
    font-family: Segoe UI Light;
    padding: 10px 10px;
    font-size: 18px;
    margin: 0px 0px 20px 0px;
/*    margin-top: 57px;*/
    text-align: left;
    text-transform: uppercase;
    /*color: #404040;
    border-color: #2E2E2E;
    background-color: #fff8da;*/
    color: white;
    font-weight: bold;
    border-color: silver;
    background-color: darkred;
}

.editLink {
    color: blue !important;
    cursor: pointer;
}

.deleteLink {
    color: red !important;
    cursor: pointer;
}

h2, h1 {
    font-weight: bold;
    color: darkred;
}

.control-label {
    text-align: right;
    font-weight: bold;
    padding-top: 0px;
/*    margin-top: 5px;*/

    display: flex;
    flex-direction: column;
    justify-content: center;
}

html {
    min-height: 100%
}

.row div.col-md-2 {
    padding-left: 0px !important;
}

.left {
    float: left;
}

.right {
    float: right;
}